CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

添加楔形方法 (ActiveX)

2023-1-4 12:02| 发布者: admin| 查看: 668| 评论: 0|来自: AutoCAD

摘要: 创建一个楔形,其边平行于给定长度、宽度和高度的轴。

创建一个楔形,其边平行于给定长度、宽度和高度的轴。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.AddWedge(Center, Length, Width, Height)
对象

类型:模型空间,图纸空间

此方法适用的对象。

中心

访问:仅输入

类型:变体(双精度的三元素数组)

指定楔形面中心的 3D WCS 坐标。

长度

访问:仅输入

类型:

对应于X轴的楔块的长度。必须是正数。

宽度

访问:仅输入

类型:

对应于Y轴的楔形宽度。必须是正数。

高度

访问:仅输入

类型:

对应于Z轴的楔块的高度。必须是正数。

返回值(RetVal)

类型:3DSolid

对象作为新创建的楔形。3DSolid

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AddWedge()
    ' This example creates a wedge in model space.
    
    Dim wedgeObj As Acad3DSolid
    Dim center(0 To 2) As Double
    Dim length As Double
    Dim width As Double
    Dim height As Double
    
    ' Define the wedge
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 10#: width = 15#: height = 20#
    
    ' Create the wedge in model space
    Set wedgeObj = ThisDrawing.ModelSpace.AddWedge(center, length, width, height)
    
    ' Change the viewing direction of the viewport
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AddWedge()
    ;; This example creates a wedge in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the wedge
    (setq wedgeCenter (vlax-3d-point 5 5 0)
          wedgeLength 10
          wedgeWidth 15
          wedgeHeight 20)
    
    ;; Create the wedge in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq wedgeObj (vla-AddWedge modelSpace wedgeCenter wedgeLength wedgeWidth wedgeHeight))
    
    ;; Change the viewing direction of the viewport
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:44

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部